import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'split',
  pure: true,
  standalone: false,
})
export class SplitPipe implements PipeTransform {
  transform(value: string, splitter: string, limit?: number): any {
    return value?.split(splitter, limit) ?? [];
  }
}
